# Customer payments: Bimp API methods

URL: https://bimpsoft.com/en/help/developers/api-reference/customer-payment/

Bimp API methods for the “Customer payments” resource (`/org2/customerPayment/…`): 6 methods. Base URL: `https://app.bimpsoft.com`. All requests except login pass the company token in the `access-token` header — see [Getting started with the API](/en/help/developers/api-getting-started/).

| Method | What it does |
|---|---|
| [`POST /org2/customerPayment/api-readList`](#api-read-list) | A request to view a list of customer payments |
| [`POST /org2/customerPayment/api-read`](#api-read) | A request to obtain detailed information for a particular customer payment document |
| [`POST /org2/customerPayment/api-readStatuses`](#api-read-statuses) | A request to retrieve the available statuses for a customer payment document |
| [`POST /org2/customerPayment/api-create`](#api-create) | A request to create a new customer payment document |
| [`POST /org2/customerPayment/api-update`](#api-update) | Route to update the document 'payment from the buyer' |
| [`POST /org2/customerPayment/api-cancel`](#api-cancel) | Cancel a customer payment document |

## api-readList

`POST /org2/customerPayment/api-readList`

A request to view a list of customer payments

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `pagination` | object | yes |  |
| `pagination.offset` | number | yes | Begin from {offset} elements |
| `pagination.count` | number | yes | Limit of paginated elemets |
| `periodable` | object[] |  | Period range as a tuple of two ISO 8601 date-time strings in UTC (e.g. '2012-10-05T14:48:00.000Z') |
| `organizations` | string (uuid)[] |  | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `orders` | string (uuid)[] |  | Filter by order UUIDs (Invoice for customer payment) |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `[].uuid` | string (uuid) | A unique uuid key for a customer payment document |
| `[].number` | string | The number of the customer payment document |
| `[].currency` | string (uuid) | A unique uuid key for a currency |
| `[].date` | string | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `[].comment` | string | An optional text field for any additional notes or comments related to the document |
| `[].name` | string |  |
| `[].counterparty` | string (uuid) | A unique uuid key for a counterparty |
| `[].author` | string (uuid) | A unique uuid key for a document author |
| `[].organization` | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `[].status` | string (uuid) |  |
| `[].documentSum` | number | Total amount of the document |
| `[].order` | string (uuid) | A unique uuid key for the related order (Invoice for customer payment) |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/customerPayment/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'
```

## api-read

`POST /org2/customerPayment/api-read`

A request to obtain detailed information for a particular customer payment document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | A unique uuid key for the Customer payment document |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) | A unique uuid key for a customer payment document |
| `number` | string | The number of the customer payment document |
| `currency` | string (uuid) | A unique uuid key for a currency |
| `date` | string | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `comment` | string | An optional text field for any additional notes or comments related to the document |
| `name` | string |  |
| `counterparty` | string (uuid) | A unique uuid key for a counterparty |
| `author` | string (uuid) | A unique uuid key for a document author |
| `organization` | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `status` | string (uuid) |  |
| `documentSum` | number | Total amount of the document |
| `order` | string (uuid) | A unique uuid key for the related order (Invoice for customer payment) |
| `paymentEntity` | string (uuid) | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
| `responsible` | string (uuid) \| null |  |
| `commission` | number | The amount of the commission |
| `sum` | number | The amount of the document |
| `remainder` | number | Aggregate Balance |
| `exchangeRateDifference` | number | Amount of Foreign Exchange Difference |
| `paymentDetails` | object[] |  |
| `paymentDetails[].contract` | string (uuid) | The unique identifier for the counterparty's contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request |
| `paymentDetails[].invoiceForCustomerpayment` | string (uuid) | A unique uuid key for a Buyer's order ('Invoice for customer payment' in system) |
| `paymentDetails[].currency` | string (uuid) | A unique uuid key for a currency |
| `paymentDetails[].calculationRate` | number | Cross Course |
| `paymentDetails[].payed` | number | Payment amount |
| `paymentDetails[].payedInContractCurrency` | number | Settlement amount in contract currency |
| `paymentDetails[].debt` | number | The current debt |
| `paymentDetails[].exchangeRateDifference` | number | Amount of Foreign Exchange Difference |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/customerPayment/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

## api-readStatuses

`POST /org2/customerPayment/api-readStatuses`

A request to retrieve the available statuses for a customer payment document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `pagination` | object | yes |  |
| `pagination.offset` | number | yes | Begin from {offset} elements |
| `pagination.count` | number | yes | Limit of paginated elemets |
| `name` | string |  | Filter by name |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `[].name` | string |  |
| `[].uuid` | string (uuid) |  |
| `[].code` | string |  |
| `[].active` | boolean |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/customerPayment/api-readStatuses' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'
```

## api-create

`POST /org2/customerPayment/api-create`

A request to create a new customer payment document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `counterparty` | string (uuid) | yes | A unique uuid key for a counterparty |
| `currency` | string (uuid) | yes | A unique uuid key for a currency |
| `date` | string |  | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `number` | string |  | The number of the customer payment document |
| `comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `responsible` | string (uuid) \| null |  |  |
| `author` | string (uuid) |  | A unique uuid key for a document author |
| `organization` | string (uuid) |  | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `status` | string (uuid) |  |  |
| `paymentEntity` | string (uuid) |  | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
| `commission` | number |  | The amount of the commission |
| `paymentDetails` | object[] |  |  |
| `paymentDetails[].invoiceForCustomerpayment` | string (uuid) | yes | A unique uuid key for a Buyer's order ('Invoice for customer payment' in system) |
| `paymentDetails[].payed` | number | yes | Payment amount |
| `paymentDetails[].calculationRate` | number |  | Cross Course |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/customerPayment/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"counterparty":"00000000-0000-0000-0000-000000000000","currency":"00000000-0000-0000-0000-000000000000"}'
```

## api-update

`POST /org2/customerPayment/api-update`

Route to update the document 'payment from the buyer'

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | A unique uuid key for a customer payment document |
| `number` | string |  | The number of the customer payment document |
| `comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `responsible` | string (uuid) \| null |  |  |
| `author` | string (uuid) |  | A unique uuid key for a document author |
| `status` | string (uuid) |  |  |
| `paymentEntity` | string (uuid) |  | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request |
| `commission` | number |  | The amount of the commission |
| `currency` | string (uuid) |  | A unique uuid key for a currency |
| `date` | string |  | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `paymentDetails` | object[] |  |  |
| `paymentDetails[].invoiceForCustomerpayment` | string (uuid) | yes | A unique uuid key for a Buyer's order ('Invoice for customer payment' in system) |
| `paymentDetails[].payed` | number | yes | Payment amount |
| `paymentDetails[].calculationRate` | number |  | Cross Course |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/customerPayment/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

## api-cancel

`POST /org2/customerPayment/api-cancel`

Cancel a customer payment document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | A unique identifier for the Customer Payment, obtainable from the /customerPayment/api-readList request |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `success` | boolean (true) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/customerPayment/api-cancel' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

Interactive documentation with a test request option: [https://app.bimpsoft.com/docs](https://app.bimpsoft.com/docs). The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.
